classification
Title: Misformated manpage: --check-hash-based-pycs ´default´|´always´|´never´
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, cheryl.sabella, docs@python, hroncok, miss-islington
Priority: normal Keywords: patch

Created on 2019-02-22 18:42 by hroncok, last changed 2019-02-25 00:56 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12017 merged hroncok, 2019-02-24 11:43
PR 12025 merged miss-islington, 2019-02-25 00:50
Messages (5)
msg336342 - (view) Author: Miro Hrončok (hroncok) * Date: 2019-02-22 18:42
man python3.7 or man python3.8 says this in synopsis:

       python [ -B ] [ -b ] [ -d ] [ -E ] [ -h ] [ -i ] [ -I ]
              [ -m module-name ] [ -q ] [ -O ] [ -OO ] [ -s ] [ -S ] [ -u ]
              [ -v ] [ -V ] [ -W argument ] [ -x ] [ [ -X option ] -?  ]
              [ --check-hash-based-pycs ´default´|´always´|´never´ ]
              [ -c command | script | - ] [ arguments ]

Some words are bold, some are underlined. However the ´default´|´always´|´never´ bit after --check-hash-based-pycs is misformated. The backticks should not be there, they should be underline instead.

The source literally has:

       [
.B \--check-hash-based-pycs
\'default\'|\'always\'|\'never\'
]

since the original implementation of PEP 552 in 42aa93b8ff2f7879282b06efc73a31ec7785e602

I think it should be replaced with:

       [
.B \--check-hash-based-pycs
.I default|always|never
]

Shall I send a PR?
msg336403 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-23 20:08
Thanks for the report, Miro!  Adding Benjamin Peterson to the nosy, since that was his commit.  I'd wait until he comments before making a PR.
msg336410 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-02-23 22:24
A PR would be welcome.

On Sat, Feb 23, 2019, at 12:08, Cheryl Sabella wrote:
> 
> Cheryl Sabella <cheryl.sabella@gmail.com> added the comment:
> 
> Thanks for the report, Miro!  Adding Benjamin Peterson to the nosy, 
> since that was his commit.  I'd wait until he comments before making a 
> PR.
> 
> ----------
> nosy: +benjamin.peterson, cheryl.sabella
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue36083>
> _______________________________________
>
msg336494 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-02-25 00:50
New changeset 16323cb2c3d315e02637cebebdc5ff46be32ecdf by Benjamin Peterson (Miro Hrončok) in branch 'master':
closes bpo-36083: Fix formatting of the manpage Synopsis. (GH-12017)
https://github.com/python/cpython/commit/16323cb2c3d315e02637cebebdc5ff46be32ecdf
msg336495 - (view) Author: miss-islington (miss-islington) Date: 2019-02-25 00:56
New changeset ca5e6aaea5168bff274f3e98d7970bfa1bc366a2 by Miss Islington (bot) in branch '3.7':
closes bpo-36083: Fix formatting of the manpage Synopsis. (GH-12017)
https://github.com/python/cpython/commit/ca5e6aaea5168bff274f3e98d7970bfa1bc366a2
History
Date User Action Args
2019-02-25 00:56:15miss-islingtonsetnosy: + miss-islington
messages: + msg336495
2019-02-25 00:50:43miss-islingtonsetpull_requests: + pull_request12058
2019-02-25 00:50:33benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg336494

stage: patch review -> resolved
2019-02-24 11:43:31hroncoksetkeywords: + patch
stage: patch review
pull_requests: + pull_request12048
2019-02-23 22:24:46benjamin.petersonsetmessages: + msg336410
2019-02-23 20:08:51cheryl.sabellasetnosy: + cheryl.sabella, benjamin.peterson
messages: + msg336403
2019-02-22 18:42:43hroncokcreate